# Get project-role mappings GET https://app.unleash-instance.example.com/api/admin/projects/roles/{roleId}/access **Enterprise feature** For the provided role, retrieves a list of projects that use this role. For each project it also contains information about how the role used in that project, such as how many users, groups, or service accounts that use the role. Reference: https://docs.getunleash.io/api/get-role-project-access ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get project-role mappings version: endpoint_projects.getRoleProjectAccess paths: /api/admin/projects/roles/{roleId}/access: get: operationId: get-role-project-access summary: Get project-role mappings description: >- **Enterprise feature** For the provided role, retrieves a list of projects that use this role. For each project it also contains information about how the role used in that project, such as how many users, groups, or service accounts that use the role. tags: - - subpackage_projects parameters: - name: roleId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: projectRoleUsageSchema content: application/json: schema: $ref: '#/components/schemas/projectRoleUsageSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} components: schemas: projectRoleSchema: type: object properties: project: type: string description: The id of the project user and group count are counted for. role: type: integer description: Id of the role the user and group count are counted for. userCount: type: integer description: Number of users mapped to this project. serviceAccountCount: type: integer description: Number of service accounts mapped to this project. groupCount: type: integer description: Number of groups mapped to this project. required: - project projectRoleUsageSchema: type: object properties: projects: type: array items: $ref: '#/components/schemas/projectRoleSchema' description: >- A collection of projects with counts of users and groups mapped to them with specified roles. ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/roles/roleId/access")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```